[Visual Basic 2005 Express Edition] Dévelloper pour Windows Xp-Vista avec .Net Framework 3.0 et VB2005 ?

Le
Xavier
Bonjour à tous,

La suite de mes questions de débutant pour m'éclaircir l'esprit ;-)

Comme je l'ai précisé il y a quelques jours, je viens d'installer VB2005
Express Edition sur un systéme d'exploitation Windows Vista Familial
Premium(J'utilise Xp Pro également) Ensuite, Windows Update m'a
installé le service Pack 1 pour VB2005 pour accroitre la compatibilité avec
Vista Jusque là, ma compréhension est totale

J'ai lu pas mal de trucs sur la programmation Windows et d'aprés ce que j'ai
compris, l'avenir (enfinle présent) s'appelle .Net Framework 3.0
(bien qu'on puisse utiliser également Win32 mais qu'il soit préférable de se
mettre au gout du jour en utilisant .Net 3.0)

Mon probléme de compréhension se situe justement là aprés avoir remarqué sur
cette page :
http://www.microsoft.com/downloads/details.aspx?FamilyIdÂB1E300-F358-4523-B479-F53D234CDCCF&displaylang=en

qu'il existait un SDK .Net Framework 3.0

D'où ma question -> Dois-je installer ce SDK pour pouvoir programmer
correctement des applications compatibles 100% avec Windows Vista en
utilisant VB2005ExEd OU cela est-il déjà inclut en installant VB2005ExEd SP1
?

Ceci dit, n'ayant pas fait de graduat en informatique section programmation,
cela est peut être une question idioteauquel cas, je vous demanderais de
ne pas être trop dur avec moi :-) C'est juste que j'ai un peu de mal à
dissocier les languages de programmation comme Visual Basic et ce qu'on
appelle les frameworks, les SDKs etc (Je suis preneur de tout
éclaircissement sur le suget dans un language simple et accessible ;-) )

Mon but étant de dévelloper des programmes compatibles avec XP et Vista afin
de me faciliter la vie au quotidien (Et peut être les distribuer si çà peut
aussi servir à d'autres)

Merci pour vos futures réponses

Xavier.
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Richard Clark
Le #12177571
.NET 3 = .NET 2 + WPF + WCF + WWF ;-)

WPF est une couche de présentation, c'est à dire une nouvelle façon de
programmer une interface Windows Forms.
WCF permet une homogénéisation des appels web services, remoting, etc.
WWF c'est pour le workflow.

Donc .NET 3 n'est en réalité que le framework 2 auquel on a ajouté des
nouvelles assemblies pour faire de nouvelles choses. Mais elles ne sont pas
obligatoires. Tu peux très bien continuer à utiliser que le framework 2 si
tu veux.

Le moteur même est toujours le même (j'apelle moteur le truc qui charge tes
assemblies et les exécute, bref la CLR).

Pour Vista, tu peux toujours utiliser .NET 2.

D'ailleurs, si tu veux passer à .NET 3, ca va vite être la galère : WPF
n'est pas supporté par Visual Studio 2005 (encore moins par Express). Donc
tu n'as pas d'outils pour créer tes Windows Forms "à la .NET 3". La seule
solution (car ce sont en réalité des fichiers xml au format xaml), c'est le
bloc notes (bjr la galère).
Il y a bien un outil nommé Blend, mais il est actuellement en version
Release Candidate et sera payant.

Conclusion, sauf si tu as envie de t'amuser, MS a sortie un OS et une
version du framework sans outil de dev derrière. Et les seuls qui pointent à
l'horizon prochainement seront payant.

--
Richard Clark
http://www.c2i.fr Le 1er site .NET
http://www.project-hoshimi.com
"Xavier" news:%
Bonjour à tous,

La suite de mes questions de débutant pour m'éclaircir l'esprit ;-)

Comme je l'ai précisé il y a quelques jours, je viens d'installer VB2005
Express Edition sur un systéme d'exploitation Windows Vista Familial
Premium...(J'utilise Xp Pro également...) Ensuite, Windows Update m'a
installé le service Pack 1 pour VB2005 pour accroitre la compatibilité
avec Vista... Jusque là, ma compréhension est totale...

J'ai lu pas mal de trucs sur la programmation Windows et d'aprés ce que
j'ai compris, l'avenir (enfin...le présent) s'appelle .Net Framework
3.0... (bien qu'on puisse utiliser également Win32 mais qu'il soit
préférable de se mettre au gout du jour en utilisant .Net 3.0)

Mon probléme de compréhension se situe justement là aprés avoir remarqué
sur cette page :
http://www.microsoft.com/downloads/details.aspx?FamilyIdÂB1E300-F358-4523-B479-F53D234CDCCF&displaylang=en

... qu'il existait un SDK .Net Framework 3.0...

D'où ma question -> Dois-je installer ce SDK pour pouvoir programmer
correctement des applications compatibles 100% avec Windows Vista en
utilisant VB2005ExEd OU cela est-il déjà inclut en installant VB2005ExEd
SP1 ?

Ceci dit, n'ayant pas fait de graduat en informatique section
programmation, cela est peut être une question idiote...auquel cas, je
vous demanderais de ne pas être trop dur avec moi :-) C'est juste que j'ai
un peu de mal à dissocier les languages de programmation comme Visual
Basic et ce qu'on appelle les frameworks, les SDKs... etc... (Je suis
preneur de tout éclaircissement sur le suget dans un language simple et
accessible ;-) ...)

Mon but étant de dévelloper des programmes compatibles avec XP et Vista
afin de me faciliter la vie au quotidien (Et peut être les distribuer si
çà peut aussi servir à d'autres...)

Merci pour vos futures réponses...

Xavier.


djmcg
Le #12177561
Merci Richard, voila qui a le mérite d'être clair.
JM

Richard Clark a écrit :
.NET 3 = .NET 2 + WPF + WCF + WWF ;-)

WPF est une couche de présentation, c'est à dire une nouvelle façon de
programmer une interface Windows Forms.
WCF permet une homogénéisation des appels web services, remoting, etc.
WWF c'est pour le workflow.

Donc .NET 3 n'est en réalité que le framework 2 auquel on a ajouté des
nouvelles assemblies pour faire de nouvelles choses. Mais elles ne sont
pas obligatoires. Tu peux très bien continuer à utiliser que le
framework 2 si tu veux.

Le moteur même est toujours le même (j'apelle moteur le truc qui charge
tes assemblies et les exécute, bref la CLR).

Pour Vista, tu peux toujours utiliser .NET 2.

D'ailleurs, si tu veux passer à .NET 3, ca va vite être la galère : WPF
n'est pas supporté par Visual Studio 2005 (encore moins par Express).
Donc tu n'as pas d'outils pour créer tes Windows Forms "à la .NET 3". La
seule solution (car ce sont en réalité des fichiers xml au format xaml),
c'est le bloc notes (bjr la galère).
Il y a bien un outil nommé Blend, mais il est actuellement en version
Release Candidate et sera payant.

Conclusion, sauf si tu as envie de t'amuser, MS a sortie un OS et une
version du framework sans outil de dev derrière. Et les seuls qui
pointent à l'horizon prochainement seront payant.



Fred
Le #12177551
Dans : news:,
djmcg disait :
Merci Richard, voila qui a le mérite d'être clair.



Bonjour,

En complément et par rapport à ta question sur le groupe dotnet.

Avec VS2005, tu développes sur le framework 2.0, mais si tu as aussi le
1.1, c'est peut-être que tu as installé un logiciel qui a été développé
dessus (avec VS2003 par exemple).
Donc, dans la plupart des cas, il faut garder le 1.1 car il est peu
probable qu'il soit arrivé là tout seul, n'étant pas proposé en mise à
jour automatique.


--
Fred
http://www.cerber mail.com/?3kA6ftaCvT (enlever l'espace)
djmcg
Le #12177541
Ouf, cela faisait longtemps que j'attendait une réponse a cette
question. Juste un détail de taille (enfin je crois).
J'ai installé le framework 1.1 a l'occasion de l'installation de VB 2003
dont j'avais acheter la license de base. Je n'ai pas de programme fini
avec VB 2003.
Ce qui m'a mis le doute, ces que malgré l'installation du framework 2 et
désinstallation du 1.1, le system update continuait a me proposé des
mise à jour pour le 1.1. J'ai eu peur alors je l'ai réinstallé mais
était-ce utile ?

Merci Fred, Richard pour votre aide. :-))


Fred a écrit :
Dans : news:,
djmcg disait :
Merci Richard, voila qui a le mérite d'être clair.



Bonjour,

En complément et par rapport à ta question sur le groupe dotnet.

Avec VS2005, tu développes sur le framework 2.0, mais si tu as aussi le
1.1, c'est peut-être que tu as installé un logiciel qui a été développé
dessus (avec VS2003 par exemple).
Donc, dans la plupart des cas, il faut garder le 1.1 car il est peu
probable qu'il soit arrivé là tout seul, n'étant pas proposé en mise à
jour automatique.




Xavier
Le #12177511
'Jour,

Merci pour les éclaircissements...

Ben me reste plus qu'à explorer .Net 2.0 en oubliant temporairement les
nouveautés du 3.0 :-)

C'est assez interressant de sortir un OS sans outils de dev... Bon, c'est
vrai que j'utilise une version gratuite de VB et que j'en suis bien content
déjà mais j'aurais éspérer la mise à jour de cet outil :-(

@+
Richard Clark
Le #12177491
Même ceux qui payent (ce qui n'est pas mon cas d'ailleurs) n'ont rien
alors;-))))
Mais franchement VB Express, C# Express et Web Express sont vraiment top
--
Richard Clark
http://www.c2i.fr Le 1er site .NET
http://www.project-hoshimi.com
"Xavier" news:
'Jour,

Merci pour les éclaircissements...

Ben me reste plus qu'à explorer .Net 2.0 en oubliant temporairement les
nouveautés du 3.0 :-)

C'est assez interressant de sortir un OS sans outils de dev... Bon, c'est
vrai que j'utilise une version gratuite de VB et que j'en suis bien
content déjà mais j'aurais éspérer la mise à jour de cet outil :-(

@+


Publicité
Poster une réponse
Anonyme